Package net.shibboleth.idp.saml.metadata

# Class OrganizationUIInfo

java.lang.Object
net.shibboleth.idp.saml.metadata.OrganizationUIInfo

public class OrganizationUIInfo extends Object
Class to contain a processed form of the `Organization` suitable for display purposes.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final Map<Locale,String>`
`displayNames`
The Organization Display Names as a map from locale to actual value.
`private static final org.slf4j.Logger`
`LOG`
logger.
`private final Predicate<LocalizedName>`
`nullLanguageString`
Warning check against a non localized String.
`private final Predicate<LocalizedURI>`
`nullLanguageURL`
Warning check against a non localized URL.
`private final Map<Locale,String>`
`organizationNames`
The Organization Names as a map from locale to actual value.
`private final Map<Locale,String>`
`urls`
The Organization URLs as a map from locale to actual value.

## Constructor Summary

Constructors
Constructor
Description
`OrganizationUIInfo(Organization organization)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Map<Locale,String>`
`getOrganizationDisplayNames()`
Return the Organization Display Names as a map from locale to actual value.
`Map<Locale,String>`
`getOrganizationNames()`
Get the Organization Names as a map from locale to actual value.
`Map<Locale,String>`
`getOrganizationUrls()`
Return the Organization URLs as a map from locale to actual value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### LOG

@Nonnull private static final org.slf4j.Logger LOG
logger.

### organizationNames

@Nonnull @Unmodifiable @NotLive private final Map<Locale,String> organizationNames
The Organization Names as a map from locale to actual value.

### displayNames

@Nonnull @Unmodifiable @NotLive private final Map<Locale,String> displayNames
The Organization Display Names as a map from locale to actual value.

### urls

@Nonnull @Unmodifiable @NotLive private final Map<Locale,String> urls
The Organization URLs as a map from locale to actual value.

### nullLanguageString

@Nonnull private final Predicate<LocalizedName> nullLanguageString
Warning check against a non localized String.

### nullLanguageURL

@Nonnull private final Predicate<LocalizedURI> nullLanguageURL
Warning check against a non localized URL.

## Constructor Details

### OrganizationUIInfo

public OrganizationUIInfo(@Nonnull Organization organization)
Constructor.

Parameters:
  `organization` - The OpenSaml Organization to convert.

## Method Details

### getOrganizationNames

@Nonnull @Unmodifiable @NotLive public Map<Locale,String> getOrganizationNames()
Get the Organization Names as a map from locale to actual value.

Returns:
  the display names

### getOrganizationDisplayNames

@Nonnull @Unmodifiable @NotLive public Map<Locale,String> getOrganizationDisplayNames()
Return the Organization Display Names as a map from locale to actual value.

Returns:
  the descriptions names (if any)

### getOrganizationUrls

@Nonnull @Unmodifiable @NotLive public Map<Locale,String> getOrganizationUrls()
Return the Organization URLs as a map from locale to actual value.

Returns:
  the descriptions names (if any)